Main Page | Modules | Data Structures | File List | Data Fields | Globals | Related Pages

# Flags defined in the pcap_open() function
[Exported Structures and Definitions]

## Defines
#define | PCAP_OPENFLAG_PROMISCUOUS 1
| It defines if the adapter has to go in promiscuous mode.
#define | PCAP_OPENFLAG_DATATX_UDP 2
| It defines if the data trasfer (in case of a remote capture) has to be done with UDP protocol.
#define | PCAP_OPENFLAG_NOCAPTURE_RPCAP 4
| It defines if the remote probe has to capture its own generated traffic.

## Detailed Description

## Define Documentation

#define PCAP_OPENFLAG_DATATX_UDP 2

| It defines if the data trasfer (in case of a remote capture) has to be done with UDP protocol. If it is '1' if you want a UDP data connection, '0' if you want a TCP data connection; control connection is always TCP-based. A UDP connection is much lighter, but it does not guarantee that all the captured packets arrive to the client workstation. Moreover, it could be harmful in case of network congestion. This flag is meaningless if the source is not a remote interface. In that case, it is simply ignored. Definition at line 211 of file remote-ext.h. Referenced by pcap_read_nocb_remote(), and pcap_startcapture_remote().

#define PCAP_OPENFLAG_NOCAPTURE_RPCAP 4

| It defines if the remote probe has to capture its own generated traffic. In case the remote probe uses the same interface to capture traffic and to send data back to the caller, the captured traffic includes the RPCAP traffic as well. If this flag is turned on, the RPCAP traffic is excluded from the capture, so that the trace returned back to the collector is does not include this traffic. Definition at line 222 of file remote-ext.h. Referenced by pcap_compile(), pcap_createfilter_norpcappkt(), and pcap_startcapture_remote().

#define PCAP_OPENFLAG_PROMISCUOUS 1

| It defines if the adapter has to go in promiscuous mode. It is '1' if you have to open the adapter in promiscuous mode, '0' otherwise. Note that even if this parameter is false, the interface could well be in promiscuous mode for some other reason (for example because another capture process with promiscuous mode enabled is currently using that interface). On on Linux systems with 2.2 or later kernels (that have the "any" device), this flag does not work on the "any" device; if an argument of "any" is supplied, the 'promisc' flag is ignored. Definition at line 197 of file remote-ext.h. Referenced by daemon_startcapture(), main(), pcap_open(), pcap_open_live(), and pcap_startcapture_remote().

documentation. Copyright (c) 2002-2003 Politecnico di Torino. All rights reserved.